#include <iostream>
#include <string>
using namespace std;

int main()
{
	char c[2];
	int a1, a2, i;
	string s = "";
	cin >> c;
	cin >> a1 >> a2;

	if ((a1 < a2) && (a2 - a1 < 2)) {
		for (i = 0; i < a1 + a2; i++) {
			if (i % 2 == 0) {
				s = s + c[1];
			}
			else s = s + c[0];
		}
	}
	else if ((a1 >= a2) && (a1 - a2 < 2)) {
		for (i = 0; i < a1 + a2; i++) {
			if (i % 2 == 0) {
				s = s + c[0];
			}
			else s = s + c[1];
		}
	}
	else s = "nemoguce";

	cout << s << endl;

}